/*
========================================================================
IST_lobster.js
This file is part of the Interstellar Tweaks expansion pack.
Author: UK_Eliter
License: 2017 Creative Commons: attribution, non-commercial, sharealike.
========================================================================
*/


/* jshint esversion: 6 */

this.name					=	"IST_lobster.js";
this.author					=	"UK_Eliter";
this.copyright				=	"2014 Creative Commons: attribution, non-commercial, sharealike.";
this.licence				=	"CC-NC-SA 3";
this.description			=	"A script for InterstellarTweaks OXP";


/*
------------------
DEBUGGING SWITCHES
------------------
*/

// this.logging = true;
var consoleDebugMessages	=	false; // do NOT comment this out. Rather, to disable, set to false.


/*
---------------------------------
JSHINT: start of wrapper
---------------------------------
*/

(function(){
"use strict";


/*
--------
FUNCTION
--------s
*/

this.shipAttackedWithMissile = function()
{
	// This routine called by built-in handler
	var shipWithECM_localVariable = this.$shipWithECM;
	// log("InterstellarTweaks - debugging", "trying to ecm - 1");
	if ( shipWithECM_localVariable && shipWithECM_localVariable.isValid) {
		// log("InterstellarTweaks - debugging", "trying to ecm - 2");
		shipWithECM_localVariable.fireECM();
		return;
	}
	// Else ..
	this.ship.reactToAIMessage("ECM_UNAVAILABLE");
	// log("InterstellarTweaks - debugging", "no ecm");
};


/*
----------------------
JSHINT: end of wrapper
----------------------
*/

}).call(this);


// EOF